Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class DrawRectangle

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.DrawRectangle

    @PDF(value=PDF10)
    public final class DrawRectangle

extends Operation

'Append a rectangle to the current path as a complete subpath' operation [PDF:1.6:4.4.1].

Since:
  0.0.4
Version:
  0.1.2, 02/04/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `Operator`

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`DrawRectangle(double x, double y, double width, double height)`
`DrawRectangle(List<PdfDirectObject> operands)`

Method Summary
`double` | `getHeight()`
`double` | `getWidth()`
`double` | `getX()`
`double` | `getY()`
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.
`void` | `setHeight(double value)`
`void` | `setWidth(double value)`
`void` | `setX(double value)`
`void` | `setY(double value)`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Operator

    public static final String Operator

See Also:
  Constant Field Values

Constructor Detail

### DrawRectangle

    public DrawRectangle(double x,
                         double y,
                         double width,
                         double height)

### DrawRectangle

    public DrawRectangle(List<PdfDirectObject> operands)

Method Detail

### getHeight

    public double getHeight()

### getWidth

    public double getWidth()

### getX

    public double getX()

### getY

    public double getY()

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `ContentObject`
  Parameters:
    `state` - Graphics state.

### setHeight

    public void setHeight(double value)

### setWidth

    public void setWidth(double value)

### setX

    public void setX(double value)

### setY

    public void setY(double value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.